com.hazelcast.config

## Class DomConfigHelper

- java.lang.Object
- - com.hazelcast.config.DomConfigHelper

-     public final class DomConfigHelper
      extends Object

  Helper class for accessing and extracting values from W3C DOM `Node` instances
  See Also:
    `AbstractDomConfigProcessor`, `AbstractXmlConfigHelper`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Node>` | `asElementIterable(NodeList list)`
    `static Iterable<Node>` | `childElements(Node node)`
    `static String` | `cleanNodeName(Node node)`
    `static void` | `fillProperties(Node node, Map<String,Comparable> properties, boolean domLevel3)`
    `static void` | `fillProperties(Node node, Properties properties, boolean domLevel3)`
    `static String` | `getAttribute(Node node, String attName, boolean domLevel3)`
    `static boolean` | `getBooleanValue(String value)`
    `static double` | `getDoubleValue(String parameterName, String value)`
    `static double` | `getDoubleValue(String parameterName, String value, double defaultValue)`
    `static int` | `getIntegerValue(String parameterName, String value)`
    `static int` | `getIntegerValue(String parameterName, String value, int defaultValue)`
    `static long` | `getLongValue(String parameterName, String value)`
    `static long` | `getLongValue(String parameterName, String value, long defaultValue)`
    `static String` | `getTextContent(Node node, boolean domLevel3)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fillProperties

          public static void fillProperties(Node node,
                                            Map<String,Comparable> properties,
                                            boolean domLevel3)

    - #### fillProperties

          public static void fillProperties(Node node,
                                            Properties properties,
                                            boolean domLevel3)

    - #### childElements

          public static Iterable<Node> childElements(Node node)

    - #### asElementIterable

          public static Iterable<Node> asElementIterable(NodeList list)

    - #### cleanNodeName

          public static String cleanNodeName(Node node)

    - #### getTextContent

          public static String getTextContent(Node node,
                                              boolean domLevel3)

    - #### getBooleanValue

          public static boolean getBooleanValue(String value)

    - #### getIntegerValue

          public static int getIntegerValue(String parameterName,
                                            String value)

    - #### getIntegerValue

          public static int getIntegerValue(String parameterName,
                                            String value,
                                            int defaultValue)

    - #### getLongValue

          public static long getLongValue(String parameterName,
                                          String value)

    - #### getLongValue

          public static long getLongValue(String parameterName,
                                          String value,
                                          long defaultValue)

    - #### getDoubleValue

          public static double getDoubleValue(String parameterName,
                                              String value)

    - #### getDoubleValue

          public static double getDoubleValue(String parameterName,
                                              String value,
                                              double defaultValue)

    - #### getAttribute

          public static String getAttribute(Node node,
                                            String attName,
                                            boolean domLevel3)

Copyright © 2020. All rights reserved.